// Encoding: ISO-8859-15
/*
 * diasce
 * Copyright (C) 2002  Ander Lozano Prez
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Ander Lozano Prez
 * ander1@wanadoo.es
 */

#include "main.h"

//*****************************************************************************************************

enum e_destino {ROOT,SOURCE,PIXMAP,DATA,DOC};

#define CVS_NINGUNO 0
#define CVS_LOGIN 1
#define CVS_LOGOUT 2
#define CVS_COMMIT 4
#define CVS_UPDATE 8

//*****************************************************************************************************

gint cvs_comando;
gchar *recordar_log;

//*****************************************************************************************************

void cvs_inicializar(void);

void cvs_update(void);

void cvs_commit(gchar *log);

void cvs_add(gchar *archivo,gint destino);

void cvs_remove(gchar *archivo,gint destino);

gint cvs_ejecutar_update(gchar *comando);

gint cvs_ejecutar_commit(gchar *comando);

void cvs_login(gchar *password);

void cvs_logout(void);

void cvs_ejecutar_login (gchar *password);

gchar *cvs_encript_password(gchar *password);

void cvs_crear_cvspass(gchar *password);
