// Encoding: ISO-8859-15
/*
 * diasce
 * Copyright (C) 2003  Ander Lozano Prez
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Ander Lozano Prez
 * ander1@wanadoo.es
 */

#include "main.h"

//**********************************************************************************************************

#define ML 25 // left margin
#define MR (ML+CW) // right margin
#define MT (CABECERA_Y+LH) // top margin
#define MB (PIE_Y+2*LH) // bottom margin
#define LH 14 // line high
#define CW 7.2 // caracter wide
#define PIE_X (MR+30)
#define PIE_Y 45
#define PIE_CW 4.8
#define CABECERA_X (ML+30)
#define CABECERA_Y 25

//**********************************************************************************************************

GnomePrintConfig *print_config;
GnomePrintJob *print_job;
GnomePrintContext *print_context;
GnomePrintDialog *print_dialog;
GtkWidget *print_preview;

//**********************************************************************************************************

void print_boton_pulsado(void);

void print_construir_paginas(void);
